### Method

# Gio BufferedInputStream peek

#### Declaration [src]

    gsize
    g_buffered_input_stream_peek (
      GBufferedInputStream* stream,
      void* buffer,
      gsize offset,
      gsize count
    )

#### Description [src]

Peeks in the buffered input, copying `count` bytes of data from `offset` bytes in the buffered input into `buffer`.

#### Parameters

`buffer`

  Type: An array of `guint8`

  A pointer to an allocated chunk of memory, which must be at least `count` bytes long.

  The length of the array is specified in the `count` argument.
  The data is owned by the caller of the method.

`offset`

  Type: `gsize`

  Offset into the buffered input to peek from, or zero to peek from the next byte in the buffered input onwards.

`count`

  Type: `gsize`

  Number of bytes to peek.

#### Return value

Type: `gsize`

The number of bytes copied, which may be zero.